Blame tests/cert-tests/pkcs7-broken-sigs

Packit aea12f
#!/bin/sh
Packit aea12f
Packit aea12f
# Copyright (C) 2016 Red Hat, Inc.
Packit aea12f
#
Packit aea12f
# This file is part of GnuTLS.
Packit aea12f
#
Packit aea12f
# GnuTLS is free software; you can redistribute it and/or modify it
Packit aea12f
# under the terms of the GNU General Public License as published by the
Packit aea12f
# Free Software Foundation; either version 3 of the License, or (at
Packit aea12f
# your option) any later version.
Packit aea12f
#
Packit aea12f
# GnuTLS is distributed in the hope that it will be useful, but
Packit aea12f
# WITHOUT ANY WARRANTY; without even the implied warranty of
Packit aea12f
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Packit aea12f
# General Public License for more details.
Packit aea12f
#
Packit aea12f
# You should have received a copy of the GNU General Public License
Packit aea12f
# along with GnuTLS; if not, write to the Free Software Foundation,
Packit aea12f
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
Packit aea12f
Packit aea12f
#set -e
Packit aea12f
Packit aea12f
srcdir="${srcdir:-.}"
Packit aea12f
CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
Packit aea12f
DIFF="${DIFF:-diff -b -B}"
Packit aea12f
Packit aea12f
if ! test -x "${CERTTOOL}"; then
Packit aea12f
	exit 77
Packit aea12f
fi
Packit aea12f
Packit aea12f
if ! test -z "${VALGRIND}"; then
Packit aea12f
	VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=15"
Packit aea12f
fi
Packit aea12f
Packit aea12f
OUTFILE=out-pkcs7.$$.tmp
Packit aea12f
OUTFILE2=out2-pkcs7.$$.tmp
Packit aea12f
Packit aea12f
# Test signing with MD5
Packit aea12f
FILE="signing"
Packit aea12f
${VALGRIND} "${CERTTOOL}" --p7-sign --hash md5 --load-privkey  "${srcdir}/../../doc/credentials/x509/key-rsa.pem" --load-certificate "${srcdir}/../../doc/credentials/x509/cert-rsa.pem" --infile "${srcdir}/data/pkcs7-detached.txt" >"${OUTFILE}"
Packit aea12f
rc=$?
Packit aea12f
Packit aea12f
if test "${rc}" != "0"; then
Packit aea12f
	echo "${FILE}: PKCS7 struct signing with MD5 failed"
Packit aea12f
	exit ${rc}
Packit aea12f
fi
Packit aea12f
Packit aea12f
FILE="signing-verify"
Packit aea12f
${VALGRIND} "${CERTTOOL}" --p7-verify --load-certificate "${srcdir}/../../doc/credentials/x509/cert-rsa.pem" <"${OUTFILE}"
Packit aea12f
rc=$?
Packit aea12f
Packit aea12f
if test "${rc}" != "1"; then
Packit aea12f
	echo "${FILE}: PKCS7 struct signing succeeded verification with MD5"
Packit aea12f
	exit ${rc}
Packit aea12f
fi
Packit aea12f
Packit aea12f
FILE="signing-verify"
Packit aea12f
${VALGRIND} "${CERTTOOL}" --p7-verify --verify-allow-broken --load-certificate "${srcdir}/../../doc/credentials/x509/cert-rsa.pem" <"${OUTFILE}"
Packit aea12f
rc=$?
Packit aea12f
Packit aea12f
if test "${rc}" != "0"; then
Packit aea12f
	echo "${FILE}: PKCS7 struct signing failed with MD5 and allow-broken"
Packit aea12f
	exit ${rc}
Packit aea12f
fi
Packit aea12f
Packit aea12f
rm -f "${OUTFILE}"
Packit aea12f
rm -f "${OUTFILE2}"
Packit aea12f
Packit aea12f
exit 0